package org.ballerinalang.net.generated.providers;

import org.ballerinalang.annotation.JavaSPIService;
import org.ballerinalang.model.types.TypeKind;
import org.ballerinalang.natives.NativeElementRepository;
import org.ballerinalang.natives.NativeElementRepository.NativeActionDef;
import org.ballerinalang.natives.NativeElementRepository.NativeFunctionDef;
import org.ballerinalang.spi.NativeElementProvider;

@JavaSPIService ("org.ballerinalang.spi.NativeElementProvider")
public class StandardNativeElementProvider implements NativeElementProvider {

	@Override
	public void populateNatives(NativeElementRepository repo) {
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "NonListener.getCallerActions", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.mock.nonlistening.NonListeningGetCallerActions"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "NonListener.register", new TypeKind[] { TypeKind.TYPEDESC }, new TypeKind[] {  }, "org.ballerinalang.net.http.mock.nonlistening.NonListeningRegister"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "NonListener.start", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.net.http.mock.nonlistening.NonListeningStart"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "NonListener.stop", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.net.http.mock.nonlistening.NonListeningStop"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "NonListener.initEndpoint", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.mock.nonlistening.NonListeningInitEndpoint"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Listener.getCallerActions", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.serviceendpoint.GetCallerActions"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Listener.start", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.net.http.serviceendpoint.Start"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Listener.initEndpoint", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.net.http.serviceendpoint.InitEndpoint"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Listener.stop", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.net.http.serviceendpoint.Stop"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Listener.register", new TypeKind[] { TypeKind.TYPEDESC }, new TypeKind[] {  }, "org.ballerinalang.net.http.serviceendpoint.Register"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "WebSocketClient.start", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.net.http.websocketclientendpoint.Start"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "WebSocketClient.initEndpoint", new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.net.http.websocketclientendpoint.InitEndpoint"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "WebSocketClient.register", new TypeKind[] { TypeKind.TYPEDESC }, new TypeKind[] {  }, "org.ballerinalang.net.http.websocketclientendpoint.Register"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "createHttpClient", new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.net.http.clientendpoint.CreateHttpClient"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "createSimpleHttpClient", new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.net.http.clientendpoint.CreateSimpleHttpClient"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "WebSocketConnector.ready", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.net.http.actions.websocketconnector.Ready"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "WebSocketConnector.close", new TypeKind[] { TypeKind.STRUCT, TypeKind.INT, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.http.actions.websocketconnector.Close"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "WebSocketConnector.pushBinary", new TypeKind[] { TypeKind.STRUCT, TypeKind.BLOB, TypeKind.BOOLEAN }, new TypeKind[] {  }, "org.ballerinalang.net.http.actions.websocketconnector.PushBinary"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "WebSocketConnector.ping", new TypeKind[] { TypeKind.STRUCT, TypeKind.BLOB }, new TypeKind[] {  }, "org.ballerinalang.net.http.actions.websocketconnector.Ping"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "WebSocketConnector.pushText", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING, TypeKind.BOOLEAN }, new TypeKind[] {  }, "org.ballerinalang.net.http.actions.websocketconnector.PushText"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "WebSocketConnector.pong", new TypeKind[] { TypeKind.STRUCT, TypeKind.BLOB }, new TypeKind[] {  }, "org.ballerinalang.net.http.actions.websocketconnector.Pong"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Connection.acceptWebSocketUpgrade", new TypeKind[] { TypeKind.MAP }, new TypeKind[] {  }, "org.ballerinalang.net.http.actions.websocketconnector.AcceptWebSocketUpgrade"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Connection.cancelWebSocketUpgrade", new TypeKind[] { TypeKind.INT, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.http.actions.websocketconnector.CancelWebSocketUpgrade"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.put", new TypeKind[] { TypeKind.CONNECTOR, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.httpclient.Put"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.head", new TypeKind[] { TypeKind.CONNECTOR, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.httpclient.Head"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.execute", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.httpclient.Execute"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.submit", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.httpclient.Submit"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.getPromisedResponse", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.httpclient.GetPromisedResponse"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.forward", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.httpclient.Forward"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.options", new TypeKind[] { TypeKind.CONNECTOR, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.httpclient.Options"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.patch", new TypeKind[] { TypeKind.CONNECTOR, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.httpclient.Patch"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.rejectPromise", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.net.http.actions.httpclient.RejectPromise"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.post", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.httpclient.Post"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.get", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.httpclient.Get"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.getResponse", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.httpclient.GetResponse"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.hasPromise", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.net.http.actions.httpclient.HasPromise"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.delete", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRING, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.httpclient.Delete"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "CallerActions.getNextPromise", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, "org.ballerinalang.net.http.actions.httpclient.GetNextPromise"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Session.removeAttribute", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.session.RemoveAttribute"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Session.isNew", new TypeKind[] {  }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.net.http.nativeimpl.session.IsNew"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Session.getAttributes", new TypeKind[] {  }, new TypeKind[] { TypeKind.MAP }, "org.ballerinalang.net.http.nativeimpl.session.GetAttributes"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Session.getAttribute", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.ANY }, "org.ballerinalang.net.http.nativeimpl.session.GetAttribute"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Session.getMaxInactiveInterval", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.net.http.nativeimpl.session.GetMaxInactiveInterval"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Session.getId", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.net.http.nativeimpl.session.GetId"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Session.setMaxInactiveInterval", new TypeKind[] { TypeKind.INT }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.session.SetMaxInactiveInterval"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Request.createSessionIfAbsent", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.session.CreateSessionIfAbsent"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Session.setAttribute", new TypeKind[] { TypeKind.STRING, TypeKind.ANY }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.session.SetAttribute"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Session.invalidate", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.session.Invalidate"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Request.getSession", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.session.GetSession"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Session.getLastAccessedTime", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.net.http.nativeimpl.session.GetLastAccessedTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Session.getCreationTime", new TypeKind[] {  }, new TypeKind[] { TypeKind.INT }, "org.ballerinalang.net.http.nativeimpl.session.GetCreationTime"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Session.getAttributeNames", new TypeKind[] {  }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.net.http.nativeimpl.session.GetAttributeNames"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Connection.promise", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.connection.Promise"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Connection.pushPromisedResponse", new TypeKind[] { TypeKind.STRUCT, TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.connection.PushPromisedResponse"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Connection.respond", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.connection.Respond"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "PushPromise.hasHeader", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.BOOLEAN }, "org.ballerinalang.net.http.nativeimpl.promise.HasHeader"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "PushPromise.setHeader", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.promise.SetHeader"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "PushPromise.addHeader", new TypeKind[] { TypeKind.STRING, TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.promise.AddHeader"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "PushPromise.removeAllHeaders", new TypeKind[] {  }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.promise.RemoveAllHeaders"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "PushPromise.getHeaderNames", new TypeKind[] {  }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.net.http.nativeimpl.promise.GetHeaderNames"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "PushPromise.removeHeader", new TypeKind[] { TypeKind.STRING }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.promise.RemoveHeader"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "PushPromise.getHeaders", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.ARRAY }, "org.ballerinalang.net.http.nativeimpl.promise.GetHeaders"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "PushPromise.getHeader", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING }, "org.ballerinalang.net.http.nativeimpl.promise.GetHeader"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "parseHeader", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING, TypeKind.MAP, TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.ParseHeader"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Response.getEntity", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.response.GetEntity"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Response.getEntityWithoutBody", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.response.GetEntityWithoutBody"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Response.setEntity", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.response.SetEntity"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Request.getEntity", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.request.GetEntity"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Request.getMatrixParams", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.MAP }, "org.ballerinalang.net.http.nativeimpl.request.GetMatrixParams"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Request.getEntityWithoutBody", new TypeKind[] {  }, new TypeKind[] { TypeKind.STRUCT }, "org.ballerinalang.net.http.nativeimpl.request.GetEntityWithoutBody"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Request.setEntity", new TypeKind[] { TypeKind.STRUCT }, new TypeKind[] {  }, "org.ballerinalang.net.http.nativeimpl.request.SetEntity"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "Request.getQueryParams", new TypeKind[] {  }, new TypeKind[] { TypeKind.MAP }, "org.ballerinalang.net.http.nativeimpl.request.GetQueryParams"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "encode", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, "org.ballerinalang.net.uri.nativeimpl.Encode"));
		repo.registerNativeFunction(new NativeFunctionDef("ballerina", "http", "decode", new TypeKind[] { TypeKind.STRING }, new TypeKind[] { TypeKind.STRING, TypeKind.STRUCT }, "org.ballerinalang.net.uri.nativeimpl.Decode"));
	}

}
